SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Xpdf Vendors:   Glyph and Cog
(Mandrake Issues Fix) Xpdf Integer Overflows in indexHigh and pageSize May Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1011884
SecurityTracker URL:  http://securitytracker.com/id/1011884
CVE Reference:   CVE-2004-0888, CVE-2004-0889, CVE-2005-0206   (Links to External Site)
Date:  Oct 22 2004
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.00
Description:   Some integer overflows were reported in Xpdf. A remote user may be able to execute arbitrary code on a target user's system.

Several vendors reported that there are integer overflows in Xpdf. A remote user can create a specially crafted PDF file that, when viewed by the target user, may execute arbitrary code.

The flaws reside in 'pdftops/Catalog.cc' and 'pdftops/XRef.cc'. A specially crafted Index color size (indexHigh) or Page size can trigger the overflow.

Chris Evans is credited with discovering these flaws.

CUPS, the Common UNIX Printing System, is also affected because it includes Xpdf.

Impact:   A remote user may be able to execute arbitrary code on a target user's system when the target user loads a malformed PDF file.
Solution:   Mandrake has released a fix.

Mandrakelinux 10.0:
9b41364f41bb8ef2b655607bc60ab9a8 10.0/RPMS/xpdf-3.00-5.2.100mdk.i586.rpm
9c8a5aa2e170428d0afc3f8e5cbf092a 10.0/SRPMS/xpdf-3.00-5.2.100mdk.src.rpm

Mandrakelinux 10.0/AMD64:
ff780c91545babd148b1c4b4761e822d amd64/10.0/RPMS/xpdf-3.00-5.2.100mdk.amd64.rpm
9c8a5aa2e170428d0afc3f8e5cbf092a amd64/10.0/SRPMS/xpdf-3.00-5.2.100mdk.src.rpm

Corporate Server 2.1:
12939cf7ca98085acc4f6ba5d741a8c6 corporate/2.1/RPMS/xpdf-1.01-4.3mdk.i586.rpm
730ddc5b8c381c0ff92844dd5fe99a72 corporate/2.1/SRPMS/xpdf-1.01-4.5.C21mdk.src.rpm

Corporate Server 2.1/x86_64:
5f22b8c7e2a03f4ad1d452b23348c967 x86_64/corporate/2.1/RPMS/xpdf-1.01-4.3mdk.x86_64.rpm
730ddc5b8c381c0ff92844dd5fe99a72 x86_64/corporate/2.1/SRPMS/xpdf-1.01-4.5.C21mdk.src.rpm

Vendor URL:  www.foolabs.com/xpdf/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Mandriva/Mandrake)
Underlying OS Comments:  10.0, Corporate Server 2.1

Message History:   This archive entry is a follow-up to the message listed below.
Oct 21 2004 Xpdf Integer Overflows in indexHigh and pageSize May Let Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [Security Announce] MDKSA-2004:113 - Updated xpdf packages fix


This is a multi-part message in MIME format...

------------=_1098415088-987-4427

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

                 Mandrakelinux Security Update Advisory
 _______________________________________________________________________

 Package name:           xpdf
 Advisory ID:            MDKSA-2004:113
 Date:                   October 21st, 2004

 Affected versions:	 10.0, Corporate Server 2.1
 ______________________________________________________________________

 Problem Description:

 Chris Evans discovered numerous vulnerabilities in the xpdf package: 
 
 Multiple integer overflow issues affecting xpdf-2.0 and xpdf-3.0.
 Also programs like cups which have embedded versions of xpdf.
 These can result in writing an arbitrary byte to an attacker controlled
 location which probably could lead to arbitrary code execution.
 (CAN-2004-0888)
 
 Multiple integer overflow issues affecting xpdf-3.0 only.        
 These can result in DoS or possibly arbitrary code execution.
 (CAN-2004-0889)
 
 Chris also discovered issues with infinite loop logic error affecting 
 xpdf-3.0 only.     
 
 The updated packages are patched to deal with these issues.
 _______________________________________________________________________

 References:

  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0888
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0889
 ______________________________________________________________________

 Updated Packages:
  
 Mandrakelinux 10.0:
 9b41364f41bb8ef2b655607bc60ab9a8  10.0/RPMS/xpdf-3.00-5.2.100mdk.i586.rpm
 9c8a5aa2e170428d0afc3f8e5cbf092a  10.0/SRPMS/xpdf-3.00-5.2.100mdk.src.rpm

 Mandrakelinux 10.0/AMD64:
 ff780c91545babd148b1c4b4761e822d  amd64/10.0/RPMS/xpdf-3.00-5.2.100mdk.amd64.rpm
 9c8a5aa2e170428d0afc3f8e5cbf092a  amd64/10.0/SRPMS/xpdf-3.00-5.2.100mdk.src.rpm

 Corporate Server 2.1:
 12939cf7ca98085acc4f6ba5d741a8c6  corporate/2.1/RPMS/xpdf-1.01-4.3mdk.i586.rpm
 730ddc5b8c381c0ff92844dd5fe99a72  corporate/2.1/SRPMS/xpdf-1.01-4.5.C21mdk.src.rpm

 Corporate Server 2.1/x86_64:
 5f22b8c7e2a03f4ad1d452b23348c967  x86_64/corporate/2.1/RPMS/xpdf-1.01-4.3mdk.x86_64.rpm
 730ddc5b8c381c0ff92844dd5fe99a72  x86_64/corporate/2.1/SRPMS/xpdf-1.01-4.5.C21mdk.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrakeUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandrakesoft for security.  You can obtain
 the GPG public key of the Mandrakelinux Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandrakelinux at:

  http://www.mandrakesoft.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_linux-mandrake.com

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Linux Mandrake Security Team
  <security linux-mandrake.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFBeHYdmqjQ0CJFipgRAjp2AJ4/eyAiugxbNY6LmfuFWytpBJf1wwCdGhNd
lwicbhCBpC47Qvfeu7/Y2EI=
=OF1k
-----END PGP SIGNATURE-----


------------=_1098415088-987-4427
Content-Type: text/plain; name="message.footer"
Content-Disposition: inline; filename="message.footer"
Content-Transfer-Encoding: 8bit

____________________________________________________
Want to buy your Pack or Services from MandrakeSoft? 
Go to http://www.mandrakestore.com
Join the Club : http://www.mandrakeclub.com
____________________________________________________

------------=_1098415088-987-4427--

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC